> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superagentes.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar Conteúdo



## OpenAPI

````yaml patch /datastores/{id}
openapi: 3.0.1
info:
  title: SuperAgentes.ai | API OpenAPI specifications
  description: ''
  termsOfService: https://superagentes.ai/
  contact:
    email: support@superagentes.ai
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.0
servers:
  - url: https://dash.superagentes.ai/api
security:
  - bearerAuth: []
tags:
  - name: Agentes
  - name: Conteúdo
  - name: Fonte de Conteúdo
  - name: Logs
  - name: Conversas
  - name: Campanhas
paths:
  /datastores/{id}:
    patch:
      tags:
        - Conteúdo
      summary: Atualizar Conteúdo
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                description:
                  type: string
                type:
                  enum:
                    - qdrant
              required:
                - description
                - type
      responses:
        '200':
          description: Sucesso
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                  type:
                    enum:
                      - qdrant
                  visibility:
                    enum:
                      - public
                      - private
        '400':
          description: Body inválido
        '403':
          description: Não autorizado
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````